import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import Parse from "parse";

@Component({
  selector: 'app-movie-detail',
  templateUrl: './movie-detail.page.html',
  styleUrls: ['./movie-detail.page.scss'],
})
export class MovieDetailPage implements OnInit {

  constructor(private route:ActivatedRoute) { }

  ngOnInit() {
    this.loadMovieById()
  }

  movie:Parse.Object|undefined
  async loadMovieById(){
    let id = this.route.snapshot.params["id"]

    if(id){
      let query = new Parse.Query("YJMovies");
      this.movie = await query.get(id);
    }
  }

}
